Table of Contents

Class: SMTPClient | Twisted-0.19.0/twisted/protocols/smtp.py
--- | ---
SMTP client for sending emails.
Base Classes |
--- | ---
basic.LineReceiver
Methods |
--- | ---
__init__ connectionMade getMailData getMailFrom getMailTo lineReceived pauseProducing resumeProducing | sendToOrData sentMail smtpCode_220_helo smtpCode_221_quit smtpCode_250_afterData smtpCode_250_afterFrom smtpCode_250_from smtpCode_250_to | smtpCode_354_data smtpCode_550_to smtpCode_default stopProducing
| __init__
    __init__ ( self,  identity )
| connectionMade
    connectionMade ( self )
| getMailData
    getMailData ( self )
### Return file-like object containing data of message to be sent. The file should be a text file with local line ending convention, i.e. readline() should return a line ending in `` .
Exceptions |
--- | ---
NotImplementedError
| getMailFrom
    getMailFrom ( self )
Return the email address the mail is from.
Exceptions |
--- | ---
NotImplementedError
| getMailTo
    getMailTo ( self )
Return a list of emails to send to.
Exceptions |
--- | ---
NotImplementedError
| lineReceived
    lineReceived ( self,  line )
Exceptions |
--- | ---
ValueError( "invalid line from SMTP server %s" % line )
| pauseProducing
    pauseProducing ( self )
| resumeProducing
    resumeProducing ( self )
Write another
| sendToOrData
    sendToOrData ( self )
| sentMail
    sentMail ( self,  addresses )
Called with list of emails to which we sent the message.
| smtpCode_220_helo
    smtpCode_220_helo ( self,  line )
| smtpCode_221_quit
    smtpCode_221_quit ( self,  line )
| smtpCode_250_afterData
    smtpCode_250_afterData ( self,  line )
| smtpCode_250_afterFrom
    smtpCode_250_afterFrom ( self,  line )
| smtpCode_250_from
    smtpCode_250_from ( self,  line )
| smtpCode_250_to
    smtpCode_250_to ( self,  line )
| smtpCode_354_data
    smtpCode_354_data ( self,  line )
| smtpCode_550_to
    smtpCode_550_to ( self,  line )
| smtpCode_default
    smtpCode_default ( self,  line )
| stopProducing
    stopProducing ( self )

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:57 2002 by HappyDoc version 2.0